| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - h -

- h : csImageArea, CS::PluginCommon::SoftShader::SoftwareTexture
- HandleEvent() : iConsoleInput, iEventHandler, iFrameEventSignpost, csJoystickDriver, csKeyboardDriver, csEventQueue::iTypedFrameEventDispatcher, csBaseEventHandler, csBaseEventHandler::EventHandlerImpl, FramePrinter, FrameBegin3DDraw, csInputBinder, csGraphics2D
- HandleKey() : iKeyComposer, csKeyComposer
- HandlePortalParameter() : iSyntaxService
- HardTransform() : iMeshObjectFactory, iMeshObject, iPortal, iMeshFactoryWrapper, iMeshWrapper, csMeshFactory, csMeshObject
- has_arg : getopt_option
- has_incoming_plane : csFogInfo
- has_keycolour : csImageMemory
- has_outgoing_plane : csFogInfo
- HasCD() : csColliderActor
- HasCurrent() : csList< T >::Iterator
- HasEnabled() : csPartialOrder< T >
- HasFlags() : iTextureLoaderContext
- HasFog() : iSector
- HasGlyph() : iFont
- hasGlyph : csFontCache::GlyphCacheData
- HashType : csSet< T, Allocator >
- HasImage() : iTextureLoaderContext
- HasKeyColor() : iImage, csCommonImageFile, csCommonImageFileLoader, iImageFileLoader, csImageMemory, csImageCubeMapMaker, csImageBase
- HasKeycolor() : iImage, csImageBase
- hasKeycolor : csCommonImageFileLoader
- HasLighting() : iSprite2DFactoryState
- HasMipmaps() : iImage, csImageMemory, csImageCubeMapMaker, csImageBase
- HasMMX() : csProcessorCapability
- HasMoreLines() : csStringReader
- HasNearPlane() : iGraphics3D
- HasNext() : iReporterIterator, iPluginIterator, iObjectRegistryIterator, iObjectIterator, iEventAttributeIterator, iDocumentNodeIterator, iDocumentAttributeIterator, iConfigIterator, iVisibilityObjectIterator, iShadowIterator, iSectorIterator, iMeshWrapperIterator, iLightIterator, csSet< T, Allocator >::GlobalIterator, csTypedObjectIterator< T >, csList< T >::Iterator, csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator, csHash< T, K, ArrayMemoryAlloc >::ConstIterator, csHash< T, K, ArrayMemoryAlloc >::GlobalIterator, csHash< T, K, ArrayMemoryAlloc >::Iterator, CS::DocumentHelper::Implementation::FilterDocumentNodeIterator< T >, csEmptyDocumentAttributeIterator, csEmptyDocumentNodeIterator, csEventTree::SubscriberIterator, csEventAttributeIterator, csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::ConstIterator, csArray< T, ElementHandler, MemoryAllocator, CapacityHandler >::Iterator, iUserRenderBufferIterator, csNodeIterator
- HasNextTri() : CS::TriangleIndicesStream< T >
- HasOwnMessageLoop() : iWin32Assistant
- HasPrevious() : csList< T >::Iterator
- hasRenderTarget : csGraphics2DGLCommon
- HasSize() : iTextureLoaderContext
- HasSSE() : csProcessorCapability
- HasSubImages() : iImage, csImageCubeMapMaker, csImageBase
- hdr_central : csArchive
- hdr_endcentral : csArchive
- hdr_extlocal : csArchive
- hdr_local : csArchive
- head : csFontCache
- heap : CS::Memory::HeapAccessPointer< HeapContainer >
- height : csBitmapMetrics, csBaseTextureFactory
- Height : csSimplePixmap, csPixmap, csAnimatedPixmap, csRect, csCommonImageFileLoader, csGraphics2D, csImageVolumeMaker, csImageMemory
- Help() : csCommandLineHelper
- HexString() : csMD5::Digest
- HEXString() : csMD5::Digest
- hFileMapping : csPlatformMemoryMappingWin32
- hide_mouse_pointer() : iOSXAssistant
- hideMouse : OSXDelegate2D
- hit : csHitBeamResult
- HitBeam() : iSector, iMeshWrapper
- HitBeamBBox() : iMeshWrapper, csParticleSystem
- HitBeamObject() : iMeshObject, iMeshWrapper, csMeshObject, csParticleSystem
- HitBeamOutline() : iMeshObject, iMeshWrapper, csMeshObject, csParticleSystem
- HitBeamPortals() : iSector, iPortal
- hMappedFile : csPlatformMemoryMappingWin32, csPlatformMemoryMappingPosix
- hour : csFileTime
- hTex : csSimplePixmap